Subject: Re: bug#24279: Bug in xterm and/or fontconfig
From: [email-masked] (Ludovic Courtès)
To: Maxim Cournoyer <[email-masked]>
Cc: [email-masked], John Darrington <[email-masked]>, Oleg Pykhalov <[email-masked]>
Date: Fri, 01 Dec 2017 16:01:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Maxim Cournoyer <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
> [...]
>
>> We can also fix this once and for all with this patch:
>>
>> diff --git a/gnu/services/xorg.scm b/gnu/services/xorg.scm
>> index 0da3397da..8f285b29a 100644
>> --- a/gnu/services/xorg.scm
>> +++ b/gnu/services/xorg.scm
>> @@ -113,6 +113,8 @@
>>          (file-append font-alias "/share/fonts/X11/100dpi")
>>          (file-append font-alias "/share/fonts/X11/misc")
>>          (file-append font-alias "/share/fonts/X11/cyrillic")
>> +        (file-append font-misc-misc               ;default fonts for xterm
>> +                     "/share/fonts/X11/misc")
>>          (file-append font-adobe75dpi "/share/fonts/X11/75dpi")))
>>  
>>  (define* (xorg-configuration-file #:key
>>
>>
>> That adds 4.1 MiB, but it saves user headaches, so I think it’s worth it.
>>
>> I’ll go ahead and push that if there are no objections.
>
> And another bug down! :) Thanks for fixing it; LGTM!

Awesome, I went ahead and pushed as
4afc903a8c1b9cb19c0341b5cd2ea80a34974f25.

Thanks everyone!

Ludo’.